/**
*   @file blending2.h
*   @brief this header file contains all necessary
*   functions to perform the boundary mask to thenn 
*	blend the patch under construction into the
*	synthesized image.
*
*   @author Lara Raad
*
*   @date   24/06/2014
*/
#ifndef  BLENDING2_H_
#define  BLENDING2_H_

#include "common.h"
#include "mt.h"
#include "quilting_lib.h"

int blend_patch(Image boundary_mask, Image *out_im, Image src_im, Corner patch_src, Corner temp, int ps, int os);

int smooth_mask(Image *boundary_mask, int ps, int os, Corner temp);

int filter_mask(int X1[],int Y1[], int X2[], int Y2[], int ps, Image *boundary_mask, float kernel[], int center);

#endif